package se.hellsoft.syncloud;

import android.app.Fragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.ListAdapter;
import android.widget.ListView;

/**
* @author Erik Hellman
*/
public class PlaylistFragment extends Fragment {
    private ListView mPlayListView;
    private MainActivity.PlaylistAdapter mPlayListAdapter;
    private BackgroundService mBackgroundService;

    public PlaylistFragment() {
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        return inflater.inflate(R.layout.playlist, container, false);
    }

    @Override
    public void onViewCreated(View view, Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);

        mPlayListView = (ListView) view.findViewById(R.id.playlist);
        mPlayListView.setAdapter(mPlayListAdapter);
        mPlayListView.setOnItemLongClickListener(new AdapterView.OnItemLongClickListener() {
            @Override
            public boolean onItemLongClick(AdapterView<?> parent, View view, int position, long id) {
                SynCloudData.Track track = (SynCloudData.Track) mPlayListAdapter.getItem(position);
                mBackgroundService.enqueueTrack(track);
                return true;
            }
        });
    }

    public void setPlayListAdapter(MainActivity.PlaylistAdapter playListAdapter) {
        mPlayListAdapter = playListAdapter;
    }

    public void setBackgroundService(BackgroundService backgroundService) {
        mBackgroundService = backgroundService;
    }
}
