package se.hellsoft.syncloud;

import android.app.Fragment;
import android.os.Bundle;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.ListView;
import org.json.JSONException;
import org.json.JSONObject;

/**
* @author Erik Hellman
*/
public class SearchFragment extends Fragment {

    private static final String TAG = "SearchFragment";
    private MainActivity.SearchResultAdapter mSearchResultAdapter;
    private BackgroundService mBackgroundService;
    private PlaylistFragment mPlaylistFragment;

    public SearchFragment() {
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        return inflater.inflate(R.layout.search, container, false);
    }

    @Override
    public void onViewCreated(View view, Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);

        ListView searchResultList = (ListView) view.findViewById(R.id.search_result);
        searchResultList.setAdapter(mSearchResultAdapter);
        searchResultList.setOnItemLongClickListener(new AdapterView.OnItemLongClickListener() {
            @Override
            public boolean onItemLongClick(AdapterView<?> parent, View view, int position, long id) {
                JSONObject trackObject = (JSONObject) mSearchResultAdapter.getItem(position);
                Log.d(TAG, "Add: " + trackObject);
                mBackgroundService.addTrack(trackObject);

                getFragmentManager().beginTransaction().replace(R.id.container, mPlaylistFragment).commit();
                return true;
            }
        });

    }

    public void setSearchResultAdapter(MainActivity.SearchResultAdapter searchResultAdapter) {
        mSearchResultAdapter = searchResultAdapter;
    }


    public void setBackgroundService(BackgroundService backgroundService) {
        mBackgroundService = backgroundService;
    }

    public void setPlaylistFragment(PlaylistFragment playlistFragment) {
        mPlaylistFragment = playlistFragment;
    }
}
